MU(VERIFY)

NAME
mu verify- verify message signatures and display information about them

SYNOPSIS
mu verify [options] <msgfile>

DESCRIPTION
mu verify is the mu command for verifying message signatures (such as PGP/GPG signatures) and displaying information about them. The sub-command works on message files, and does not require the message to be indexed in the database. mu verify depends on gpg, and uses the one it finds in your PATH. If you want to use another one, you need to set MU_GPG_PATH to the full path to the desired gpg.

OPTIONS

-r, --auto-retrieve
    attempt to find keys online (see the auto-key-retrieve option in the gnupg(1) documentation).

-u, --use-agent attempt to use the GPG-agent (see the the
    gnupg-agent(1) documentation). Note that GPG-agent is running many desktop-evironment; you can check whether this is the case using:
       $ env | grep GPG_AGENT_INFO

EXAMPLES
To display aggregated (one-line) information about the signatures in a message:
   $ mu verify --verbose msgfile
To display information about all the signatures:
   $ mu verify --verbose msgfile
If you only want to use the exit code, you can use:
   $ mu verify --verbose msgfile
which does not give any output.

RETURN VALUE
mu verify returns 0 when all signatures could be verified to be good, and returns some non-zero error code when this is not the case.
| code | meaning                        |
|------+--------------------------------|
|    0 | ok                             |
|    1 | some non-verified signature(s) |

BUGS
Please report bugs if you find them: http://code.google.com/p/mu0/issues/list

AUTHOR
Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

SEE ALSO
mu(1)